mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ITypeLibConverter System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("f1c3bf79-c3e4-11d3-88e7-00902754c43a") To be added

Provides a set of services that convert a managed assembly to a COM type library and vice versa.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  For more information on ITypeLib, please see its existing documentation in the MSDN library.

  Converts an assembly to a COM type library.

  An object that implements the ITypeLib interface.

  The assembly to convert. The file name of the resulting type library. A value indicating any special settings. The interface implemented by the caller.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` `` ``

  If you do not want to generate a strong name for your assembly, it is valid for and to be null, as long as does not equal . Otherwise, at least one of these parameters must be specified. If is null, the public key in will be set in the target assembly's manifest metadata and a signature will be generated based on the contents of the assembly. If is null, will be set in the target assembly's manifest metadata and no signature will be generated. Specifying both parameters is not generally useful, and can result in an invalid signature.

  For more information on ITypeLib, please see its existing documentation in the MSDN library.

  Converts a COM type library to an assembly.

  An object containing the converted type library.

  The object that implements the ITypeLib interface. The file name of the resulting assembly. A value indicating any special settings. interface implemented by the caller. A byte array containing the public key. A object containing the public and private cryptographic key pair. If true, the interfaces require link time checks for permission. If false, the interfaces require run time checks that require a stack walk and are more expensive, but help provide greater protection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` `` `` ``

  If you do not want to generate a strong name for your assembly, it is valid for and to be null, as long as does not equal . Otherwise, atleast one of these parameters must be specified. If is null, the public key in will be set in the target assembly's manifest metadata and a signature will be generated based on the contents of the assembly. If is null, will be set in the target assembly's manifest metadata and no signature will be generated. Specifying both parameters is not generally useful, and can result in an invalid signature.

  For more information on ITypeLib, please see its existing documentation in the MSDN library.

  Converts a COM type library to an assembly.

  An object containing the converted type library.

  The object that implements the ITypeLib interface. The file name of the resulting assembly. A value indicating any special settings. interface implemented by the caller. A byte array containing the public key. A object containing the public and private cryptographic key pair. The namespace for the resulting assembly. The version of the resulting assembly. If null, the version of the type library is used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` `` `` To be added: an object of type 'Guid' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'string&' To be added: an object of type 'string&' To be added To be added: an object of type 'bool' To be added